UbixOS V2 2.0

Data Fields
osInfo Struct Reference

`#include <sched.h>`

Collaboration diagram for osInfo:

## Data Fields
uInt32 | controlKeys
char | cwd [1024]
uint8_t | gpf
char * | stdin
uInt32 | stdinSize
uInt8 | timer
bool | v86If
uInt8 | v86Task
uInt32 | vmStart

## Detailed Description

Definition at line 50 of file sched.h.

## Field Documentation

## ◆ controlKeys

uInt32 osInfo::controlKeys

Definition at line 56 of file sched.h.

## ◆ cwd

char osInfo::cwd[1024]

Definition at line 58 of file sched.h.

Referenced by fopen(), fork_copyProcess(), sys_chdir(), sys_fchdir(), sys_fork(), sys_getcwd(), sysGetCwd(), and sysMkDir().

## ◆ gpf

uint8_t osInfo::gpf

Definition at line 59 of file sched.h.

## ◆ stdin

char* osInfo::stdin

Definition at line 57 of file sched.h.

## ◆ stdinSize

uInt32 osInfo::stdinSize

Definition at line 55 of file sched.h.

## ◆ timer

uInt8 osInfo::timer

Definition at line 51 of file sched.h.

## ◆ v86If

bool osInfo::v86If

Definition at line 53 of file sched.h.

## ◆ v86Task

uInt8 osInfo::v86Task

Definition at line 52 of file sched.h.

Referenced by biosCall().

## ◆ vmStart

uInt32 osInfo::vmStart

Definition at line 54 of file sched.h.

Referenced by execFile(), execThread(), fork_copyProcess(), sys_fork(), and sysExec().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixos/sched.h